package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.ShowChild;
import com.cku.model.ShowMain;

public interface CkuShowChildMapper {
	
	//根据子赛事id获取赛事编号
	String getShowCodeByShowChildId(@Param("showChildId") String showChildId);
	
	//根据子赛事id获取赛事是否可使用优惠券 0可以 1不可以
	String getCanUseCouponByShowChildId(@Param("showChildId") String showChildId);
	
	/**
	 * 获取赛事id获取赛事开始时间
	 * @param id
	 * @return
	 */
	ShowMain getShowMainById(@Param("id") String id);
	
	/**
	 * 根据主赛事ID查询所有子赛事
	 * @param mainShowId
	 * @return
	 */
	List<ShowChild> getShowChildByMainId(@Param("mainShowId") String mainShowId);
	
	
	ShowChild get(@Param("id") String id);
	
	ShowChild getByShowCode(@Param("showCode") String showCode);
	
	int getCntByShowCode(@Param("showCode") String showCode);
	
}